Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.util
Class CookieUtils

    java.lang.Object
      org.blojsom.util.CookieUtils

public class CookieUtils
extends java.lang.Object

CookieUtils

Since:
  blojsom 3.0
Version:
  $Id: CookieUtils.java,v 1.2 2006/03/21 03:11:08 czarneckid Exp $
Author:
  David Czarnecki

Constructor Summary
`CookieUtils()`

Method Summary
`static void` | `addCookie(javax.servlet.http.HttpServletResponse httpServletResponse, int cookieExpiration, java.lang.String cookieKey, java.lang.String cookieValue)` Add a cookie with a key and value to the response
`static javax.servlet.http.Cookie` | `getCookie(javax.servlet.http.HttpServletRequest httpServletRequest, java.lang.String cookieKey)` Return a cookie given a particular key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieUtils

    public CookieUtils()

Method Detail

### getCookie

    public static javax.servlet.http.Cookie getCookie(javax.servlet.http.HttpServletRequest httpServletRequest,
                                                      java.lang.String cookieKey)

  Return a cookie given a particular key

  Parameters:
    `httpServletRequest` - Request
    `cookieKey` - Cookie key
  Returns:
    `Cookie` of the requested key or `null` if no cookie under that name is found

### addCookie

    public static void addCookie(javax.servlet.http.HttpServletResponse httpServletResponse,
                                 int cookieExpiration,
                                 java.lang.String cookieKey,
                                 java.lang.String cookieValue)

  Add a cookie with a key and value to the response

  Parameters:
    `httpServletResponse` - Response
    `cookieKey` - Cookie key
    `cookieValue` - Cookie value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD